types_fwd.hpp File Reference

Forward declarations for all the C++ types used by Proton to represent AMQP types. More...

`#include "./internal/config.hpp"`
`#include <proton/type_compat.h>`
`#include <string>`
Include dependency graph for types_fwd.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| proton
| Type traits for mapping between AMQP and C++ types.

## Detailed Description

Forward declarations for all the C++ types used by Proton to represent AMQP types.